Phonegap错误 – “未findContent-Security-Policy元标记。 使用cordova-plugin-whitelist插件时请添加一个。“

即使在阅读了关于这个主题的所有SOpost之后,也很难解决这个问题,但是这一点很难实现。

我安装了org.apache.cordova.whitelist插件,我在index.html文件中添加了Content-Security-Policy元指令,并在config.xml中添加了相应的和标签。 但是,每次我运行应用程序(Android)时,我收到以下错误:

“找不到Content-Security-Policy元标记。请在使用cordova-plugin-whitelist插件时添加一个。”,来源:file:///android_asset/www/plugins/cordova-plugin-whitelist/whitelist.js

这是最基本的索引页面:

             Hello World   

PhoneGap

app.initialize();

这是config.xml:

   LoginTest  Hello World sample application that responds to the deviceready event.   PhoneGap Team                                                                               

仅用于测试目的 :注释掉这一行 – >

比你的问题消失了。

您可以在此处find有关白名单的其他信息: Cordova插件 – 白名单